%define module	gmpy
%define name	python-%{module}
%define version 1.04
%define release %mkrel 1

Summary:	Python interface to GMP
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{module}-%{version}.zip
License: 	LGPLv2.1
Group: 		Development/Python
Url: 		http://code.google.com/p/gmpy/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
# GMP versions before 4.2.4 have a bug that cause gmpy to segfault.
Requires:	libgmp >= 4.2.4
BuildRequires:	libgmp-devel >= 4.2.4
%py_requires -d

%description
The General Multiprecision PYthon project (GMPY) focuses on
Python-usable modules providing multiprecision arithmetic
functionality to Python programmers. The project mission includes both
C and C++ Python-modules (for speed) and pure Python modules (for
flexibility and convenience); it potentially includes integral,
rational and floating-point arithmetic in any base. Only
cross-platform functionality is of interest, at least for now.

%prep
%setup -q -n %{module}-%{version}

%build
find -name .svn | xargs rm -rf
%__python ./setup.py build

%install
%__rm -rf %{buildroot}
%__python ./setup.py install --root=%{buildroot} --record=FILE_LIST

%clean
%__rm -rf %{buildroot}

%files -f FILE_LIST
%defattr(-,root,root)
%doc README lgpl-2.1.txt doc/ test/


%changelog
* Wed Apr 01 2009 Lev Givon <lev@mandriva.org> 1.04-1mdv2010.0
+ Revision: 363390
- Update to 1.04.

* Fri Jul 11 2008 Lev Givon <lev@mandriva.org> 1.03-1mdv2009.0
+ Revision: 233834
- Update to 1.03.

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.01-3mdv2008.1
+ Revision: 136448
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 21 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.01-3mdv2007.0
+ Revision: 111518
- Rebuicl for new python
- import python-gmpy-1.01-2mdk

* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.01-2mdk
- Add BuildRequires
- Fix mkrel for rpmbuildupdate

* Wed May 03 2006 Lev Givon <lev@columbia.edu> 1.01-1mdk
- Initial Mandriva package.

